<!--
 * @Date: 2024-05-07 22:48:00
 * @LastEditors: Sneed
 * @LastEditTime: 2024-05-12 21:28:07
 * @FilePath: /belleson-frontend/Users/mache/Documents/demo/cps-web/src/views/console/tooling/tray-fixture.vue
-->
<template>
    <el-main style="height: 100%;">
        <el-card shadow="never" style="height: 100%;" body-style="height: 100%">
            <el-tabs tab-position="top" class="custom-tabs" v-model="activeName">
                <el-tab-pane label="托盘-夹具" name="1">
                    <trayFixturePreviewVue style="height: 100%" v-if="activeName === '1'"></trayFixturePreviewVue>
                </el-tab-pane>
                <el-tab-pane label="托盘" name="2">
                    <Tray style="height: 100%" v-if="activeName === '2'" />
                </el-tab-pane>
                <el-tab-pane label="夹具" name="3">
                    <Fixture style="height: 100%" v-if="activeName === '3'" />
                </el-tab-pane>
            </el-tabs>
        </el-card>
    </el-main>
</template>

<script>
import trayFixturePreviewVue from './tray-fixturePreview.vue'
import Tray from './Tray.vue'
import Fixture from './fixture.vue'
export default {
    components: {
        trayFixturePreviewVue,
        Tray,
        Fixture
    },
    data() {
        return {
            activeName: '2'
        }
    },
}
</script>

<style lang="scss" scoped></style>